# CacheReloader
Date: 2018-01-28

main

## Class CacheReloader

- java.lang.Object
- - main.CacheReloader

All Implemented Interfaces:
  java.lang.Runnable

    public class CacheReloader
    extends java.lang.Object
    implements java.lang.Runnable

### Field Summary

Fields
`(package private) boolean` `end`
`private java.lang.Thread` `thread` Le but de cette classe est de permettre la mise à jour régulière du cache.
`private java.lang.String` `threadName`
`private long` `timeout`

### Constructor Summary

Constructors
Constructor and Description
`CacheReloader(long timeout)` Contructeur de la classe

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()` Met à jour le cache.
`void` `start()` Methode pour lancer le cache reloader

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### thread

    private java.lang.Thread thread

Le but de cette classe est de permettre la mise à jour régulière du cache. Pour cela, cette classe implémente est de type runnable, c'est à dire qu'elle possède une méthode pour creer un Thread qui vient ensuite se charger de la Mise à Jour. Une fois une instance créée, elle se lance par start()

#### threadName

    private java.lang.String threadName

#### timeout

    private long timeout

#### end

    boolean end

### Constructor Detail

#### CacheReloader

    public CacheReloader(long timeout)

Contructeur de la classe

Parameters:
  `timeout` - Temps à attendre entre chaque mise à jour

### Method Detail

#### run

    public void run()

Met à jour le cache. Méthode appelée lors de la création du thread sur une instance de cette classe.

Specified by:
  `run` in interface `java.lang.Runnable`

#### start

    public void start()

Methode pour lancer le cache reloader